# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Provides/Requires filtering is different from rpm 4.9 onwards
%global rpm49 %(rpm --version | perl -p -e 's/^.* (\\d+)\\.(\\d+).*/sprintf("%d.%03d",$1,$2) ge 4.009 ? 1 : 0/e' 2>/dev/null || echo 0)

Name:		perl-Devel-PartialDump
Version:	0.20
Release:	8.%{__distinit}%{__distvers}
Summary:	Partial dumping of data structures, optimized for argument printing
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Devel-PartialDump
Source0:	https://cpan.metacpan.org/modules/by-module/Devel/Devel-PartialDump-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Class::Tiny)
BuildRequires:	perl(namespace::clean) >= 0.19
BuildRequires:	perl(overload)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(CPAN::Meta)
BuildRequires:	perl(CPAN::Meta::Requirements)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(if)
BuildRequires:	perl(ok)
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(Test::Warnings) >= 0.009
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(overload)

# Filter bogus provide of perl(DB) - with rpm ≥ 4.9
%global __provides_exclude perl\\(DB\\)

%description
This module is a data dumper optimized for logging of arbitrary parameters.

%prep
%setup -q -n Devel-PartialDump-%{version}

# Filter bogus provide of perl(DB) - with rpm < 4.9
%if ! %{rpm49}
%global provfilt /bin/sh -c "%{__perl_provides} | grep -vx 'perl(DB)'"
%global __perl_provides %{provfilt}
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license LICENCE
%else
%doc LICENCE
%endif
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/Devel/
%{_mandir}/man3/Devel::PartialDump.3*

%changelog
* Fri Oct 18 2019 Paul Howarth <paul@city-fan.org> - 0.20-8
- Switch upstream from search.cpan.org to metacpan.org

* Thu Jul  6 2017 Paul Howarth <paul@city-fan.org> - 0.20-1
- Update to 0.20
  - Fix tests on Carp < 1.25 (GH#1)

* Tue Jul  4 2017 Paul Howarth <paul@city-fan.org> - 0.19-1
- Update to 0.19
  - Remove use of Test::Warn in tests
- Fix test compatibility with Carp < 1.25
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop workarounds for building with Test::More < 0.88

* Sun Jul 31 2016 Paul Howarth <paul@city-fan.org> - 0.18-3
- Fix FTBFS when perl is not in the minimal buildroot
- BR: perl-generators where available
- Simplify find command using -delete
- Prefer %%global over %%define

* Sun Aug 16 2015 Paul Howarth <paul@city-fan.org> - 0.18-1
- Update to 0.18
  - Update some distribution tooling
- Switch to ExtUtils::MakeMaker flow
- Update patches as needed

* Mon Sep 15 2014 Paul Howarth <paul@city-fan.org> - 0.17-2
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Sun Dec  1 2013 Paul Howarth <paul@city-fan.org> - 0.17-1
- Update to 0.17
  - Attribute list_delim is now being used in list dumps
  - Setting attribute max_length to 0 now shortens more, to '...'
  - Fixed use of = in array/hash ref objects
  - Extra test coverage
- Add patch to support building with Test::More < 0.94
- Update patch for building with Test::More < 0.88

* Mon Nov 25 2013 Paul Howarth <paul@city-fan.org> - 0.16-1
- Update to 0.16
  - Moose dependency removed, resolving circular dependency in Moose's
    recommended prereqs
  - Converted packaging to Dist::Zilla
- This release by ETHER -> update source URL
- Switch to Module::Build::Tiny flow
- Package upstream CONTRIBUTING, LICENSE and README.md files
- Add patch to support building with Test::More < 0.88

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 0.15-6
- Perl 5.16 post-bootstrap rebuild

* Fri Jul 13 2012 Paul Howarth <paul@city-fan.org> - 0.15-5
- BR:/R: perl(Carp::Heavy)
- BR: perl(Carp), perl(Scalar::Util) and perl(Test::More)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}

* Mon Feb 13 2012 Paul Howarth <paul@city-fan.org> - 0.15-3
- Bump perl(namespace::clean) version requirement to 0.20
- Don't BR: perl(Moose) or run the test suite when bootstrapping

* Fri Jun 24 2011 Paul Howarth <paul@city-fan.org> - 0.15-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri May  6 2011 Paul Howarth <paul@city-fan.org> - 0.15-1
- Update to 0.15:
  - Don't go into an infinite loop when dumping references to references
  - Dump LVALUE references properly

* Fri Apr 29 2011 Paul Howarth <paul@city-fan.org> - 0.14-2
- Import from Fedora

* Wed Apr 27 2011 Iain Arnell <iarnell@gmail.com> - 0.14-1
- Update to latest upstream version
- Clean up spec for modern rpmbuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.13-2
- Rebuild to fix problems with vendorarch/lib (#661697)

* Sun Jul 04 2010 Iain Arnell <iarnell@gmail.com> - 0.13-1
- Specfile autogenerated by cpanspec 1.78
